package com.fjs.scenic.entity.scenic;

public class Scenic {
    private Integer id;

    private String name;

    private Byte grade;

    private String intro;

    private String addr;

    private String lon;

    private String lat;

    private String phone;

    private String voidUrl;

    private String vrUrl;

    private String businessTime;

    public Scenic(Integer id, String name, Byte grade, String intro, String addr, String lon, String lat, String phone, String voidUrl, String vrUrl, String businessTime) {
        this.id = id;
        this.name = name;
        this.grade = grade;
        this.intro = intro;
        this.addr = addr;
        this.lon = lon;
        this.lat = lat;
        this.phone = phone;
        this.voidUrl = voidUrl;
        this.vrUrl = vrUrl;
        this.businessTime = businessTime;
    }

    public Scenic() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public Byte getGrade() {
        return grade;
    }

    public void setGrade(Byte grade) {
        this.grade = grade;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro == null ? null : intro.trim();
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr == null ? null : addr.trim();
    }

    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon == null ? null : lon.trim();
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat == null ? null : lat.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getVoidUrl() {
        return voidUrl;
    }

    public void setVoidUrl(String voidUrl) {
        this.voidUrl = voidUrl == null ? null : voidUrl.trim();
    }

    public String getVrUrl() {
        return vrUrl;
    }

    public void setVrUrl(String vrUrl) {
        this.vrUrl = vrUrl == null ? null : vrUrl.trim();
    }

    public String getBusinessTime() {
        return businessTime;
    }

    public void setBusinessTime(String businessTime) {
        this.businessTime = businessTime == null ? null : businessTime.trim();
    }
}